<?php

namespace App\Enums;

enum OtpReason: String
{
    // registration', 'password_reset', 'two_factor', 'other', 'bvn_verification
    case REGISTRATION = 'registration';
    case PASSWORD_RESET = 'password_reset';
    case TWO_FACTOR = 'two_factor';
    case OTHER = 'other';
    case BVN_VERIFICATION = 'bvn_verification';
    case PHONE_VERIFICATION = 'phone_verification';
}
